# 简介
ASM Lab 做为一款成熟的实验教学软件，已经可以满足高等院校`微机原理与接口技术`和`汇编语言`实验教学的要求。  
ASM Lab 设计了丰富的教学功能，为汇编语言提供了`五十多个演示程序`和`十五个实验题目`，为微机原理与接口技术提供了`七个实验题目`。  
允许学生将接口驱动程序写入U盘，在Bochs虚拟机或者PC裸机上运行，除了控制8259/8253/8250等芯片外，还可以枚举PCI设备，读写硬盘，进入x86的保护模式，使学生可以接触到最先进的硬件知识，深入理解现代微机原理与接口技术。

[查看 ASM Lab 简介](http://www.engintime.com/node/72)

[下载 ASM Lab 白皮书](http://www.engintime.com/forum/download/file.php?id=64&sid=039b82f64a08b0a984e9f41b5743f9c3)

# 观看演示录像
[ASM Lab 微机原理实验演示录像](http://v.qq.com/x/page/f0811cgml2l.html)

[ASM Lab 汇编语言实验演示录像](http://v.qq.com/x/page/y0811a9f74q.html)

# 下载实验指导书
[《ASM Lab 微机原理与汇编语言实验指导》3.0](#)

# 下载安装包
为了正常使用本软件，需要下载并安装下列软件。本软件可在 32/64 位 Windows 7/10 中安装使用。  
> 
注意，32 位 Windows 不支持 DOS 汇编程序。
> 

[ASM Lab 安装包（腾讯微云）](#)    `推荐使用`[腾讯微云免登陆极速下载方法](https://www.codecode.net/engintime/codecode/codecode/wikis/%E8%85%BE%E8%AE%AF%E5%BE%AE%E4%BA%91%E5%85%8D%E7%99%BB%E9%99%86%E6%9E%81%E9%80%9F%E4%B8%8B%E8%BD%BD%E6%96%B9%E6%B3%95)

[32-bit Git 2.19.1 安装包](https://github.com/git-for-windows/git/releases/download/v2.19.1.windows.1/Git-2.19.1-32-bit.exe)（如已安装 Git 2.18 以上版本，可以忽略此安装包）

[Markdown 编辑器安装包](https://bitbucket.org/rhiokim/haroopad-download/downloads/Haroopad-v0.13.1-win-ia32.msi)（可选）

# 免费申请账号
本软件已提供给全国高校教师免费使用，现在就加入下面的 QQ 群向管理员申请账号吧！

![QQ Group](http://www.engintime.com/sites/default/files/codecode.net-qq-group.png)

# 入门指南
1. [免费申请账号](#免费申请账号)
2. [下载安装包](#下载安装包)
3. [下载实验指导书](#下载实验指导书)
4. 按照实验指导书中的内容使用演示样例，或者按照各部分《实验一》中的内容试用。
5. 已经在 CodeCode 注册的教师用户，可以访问 [教师包](https://www.codecode.net/engintime/asm-lab/teachers-packet)。其中包含了答案源代码、思考题答案等内容供教师参考。
6. [提交问题或建议](https://www.codecode.net/engintime/asm-lab/asm-lab/issues)
